/* tslint:disable */
/* eslint-disable */
/**
 * e-commerce-service
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.74
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * 
 * @export
 * @interface CalculatedCampaignResponseDto
 */
export interface CalculatedCampaignResponseDto {
    /**
     * 
     * @type {string}
     * @memberof CalculatedCampaignResponseDto
     */
    'campaignType': CalculatedCampaignResponseDtoCampaignTypeEnum;
    /**
     * 
     * @type {number}
     * @memberof CalculatedCampaignResponseDto
     */
    'discount': number;
    /**
     * 
     * @type {number}
     * @memberof CalculatedCampaignResponseDto
     */
    'discountPrice': number;
}

export const CalculatedCampaignResponseDtoCampaignTypeEnum = {
    PromoPrice: 'promo_price',
    DiscountedDeliveryFee: 'discounted_delivery_fee'
} as const;

export type CalculatedCampaignResponseDtoCampaignTypeEnum = typeof CalculatedCampaignResponseDtoCampaignTypeEnum[keyof typeof CalculatedCampaignResponseDtoCampaignTypeEnum];


